Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0028860
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 09. Financial managementmajoralways2015-02-04 13:032015-05-04 16:40
ReporteregoitzView Statuspublic 
Assigned ToSandrahuguet 
PriorityurgentResolutionfixedFixed in Version3.0PR15Q2
StatusclosedFix in branchFixed in SCM revision3d6525efbc70
ProjectionnoneETAnoneTarget Version3.0PR15Q2
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toumartirena
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0028860: UpdatePaymentPlan modulscript takes long when updating from a version lower than q3 to q3.

DescriptionUpdatePaymentPlan modulscript takes long when updating from a version lower than q3 to q3.
Steps To ReproduceON an environment with big amount of data on q2 release or lower update to the last confirmed stable release.
TagsPerformance
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
depends on backport 00291493.0PR15Q1.2 closedSandrahuguet UpdatePaymentPlan modulscript takes long when updating from a version lower than q3 to q3. 
depends on backport 00291503.0PR14Q3.8 closedSandrahuguet UpdatePaymentPlan modulscript takes long when updating from a version lower than q3 to q3. 
related to defect 0030007 closedaferraz Payment schedule amount incorrectly calculated when adding a payment from reconcile window to a sales order 
related to defect 0030009 closedaferraz UpdatePaymentPlan modulscript takes hours to finish updating from mp31 to PR15Q2 

-  Notes
(0075785)
hgbot (developer)
2015-03-20 11:53

Repository: erp/devel/pi
Changeset: 3d6525efbc700b74f20e5b8e9853517097783c59
Author: Sandra Huguet <sandra.huguet <at> openbravo.com>
Date: Thu Mar 12 09:39:15 2015 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/3d6525efbc700b74f20e5b8e9853517097783c59 [^]

Fixed bug 28860 improve performance in UpdatePaymentPlan modulescript

---
A src-util/modulescript/build/classes/org/openbravo/modulescript/UpdatePaymentPlan.class
A src-util/modulescript/build/classes/org/openbravo/modulescript/UpdatePaymentPlanData.class
A src-util/modulescript/src/org/openbravo/modulescript/UpdatePaymentPlan.java
A src-util/modulescript/src/org/openbravo/modulescript/UpdatePaymentPlan_data.xsql
---
(0075786)
umartirena (developer)
2015-03-20 11:54

Code Review + Testing OK
(0075833)
hudsonbot (developer)
2015-03-20 19:23

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/a670497786d1 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2015-02-04 13:03 egoitz New Issue
2015-02-04 13:03 egoitz Assigned To => dmiguelez
2015-02-04 13:03 egoitz Modules => Core
2015-02-04 13:03 egoitz Triggers an Emergency Pack => No
2015-02-04 18:54 egoitz Tag Attached: Performance
2015-02-12 13:02 egoitz Assigned To dmiguelez => Sandrahuguet
2015-02-23 13:30 jonalegriaesarte Target Version 3.0PR15Q2 => 3.0PR15Q3
2015-03-05 16:55 Sandrahuguet Status new => scheduled
2015-03-20 11:53 hgbot Checkin
2015-03-20 11:53 hgbot Note Added: 0075785
2015-03-20 11:53 hgbot Status scheduled => resolved
2015-03-20 11:53 hgbot Resolution open => fixed
2015-03-20 11:53 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/3d6525efbc700b74f20e5b8e9853517097783c59 [^]
2015-03-20 11:54 umartirena Review Assigned To => umartirena
2015-03-20 11:54 umartirena Note Added: 0075786
2015-03-20 11:54 umartirena Status resolved => closed
2015-03-20 11:54 umartirena Fixed in Version => pi
2015-03-20 19:23 hudsonbot Checkin
2015-03-20 19:23 hudsonbot Note Added: 0075833
2015-05-04 16:40 Sandrahuguet Fixed in Version pi => 3.0PR15Q2
2015-05-04 16:40 Sandrahuguet Target Version 3.0PR15Q3 => 3.0PR15Q2
2015-05-26 18:30 aferraz Relationship added related to 0030007
2015-05-27 12:27 aferraz Relationship added related to 0030009


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker